GET
/api/v1/rds/cluster/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”A list of database instances.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
status
string
status_title
string
num_instances
integer
software
object
name
string
version
string
engine
string
master_node
object
node_name
string
instance_id
integer
cluster_id
integer
node_id
integer
vm_id
integer
port
string
public_ip_address
string
private_ip_address
string
allowed_ip_address
object
whitelisted_ips
Array<string>
temp_ips
Array<string>
whitelisted_ips_tags
Array<string>
temp_ips_tags
Array<string>
whitelisting_in_progress
boolean
zabbix_host_id
string
database
object
id
integer
username
string
database
string
pg_detail
object
key
additional properties
any
ram
string
cpu
string
disk
string
status
string
db_status
string
created_at
string format: date-time
plan
object
name
string
price
string
template_id
integer
ram
string
cpu
string
disk
string
currency
string
software
object
name
string
version
string
engine
string
available_inventory_status
boolean
price_per_hour
number format: float
price_per_month
number format: float
ssl
boolean
domain
string
public_port
string
connectivity_detail
string
vector_database_status
string
project_name
string
snapshot_exist
boolean
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 5267, "name": "E2E-DBaaS-26322-1577", "status": "CREATING", "status_title": "Creating", "num_instances": 1, "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "master_node": { "node_name": "E2E-DBaaS-26322-1577-Node-1", "instance_id": 10624, "cluster_id": 5267, "node_id": 213545, "vm_id": 228350, "port": "3306", "public_ip_address": "164.52.210.66", "private_ip_address": "10.17.10.7", "allowed_ip_address": { "whitelisting_in_progress": false }, "zabbix_host_id": null, "database": { "id": 5267, "username": "admin", "database": "DB-26322-1577" }, "ram": "16 GB", "cpu": "4", "disk": "200 GB", "status": "Creating", "db_status": "Creating", "created_at": "2025-02-03T18:22:00", "plan": { "name": "DBS.16GB", "price": "Rs. 9.0/Hour or Rs. 6570.0 Monthly", "template_id": 21, "ram": "16", "cpu": "4", "disk": "200", "currency": "INR", "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "available_inventory_status": true, "price_per_hour": 9, "price_per_month": 6570 }, "ssl": true, "domain": null, "public_port": null }, "connectivity_detail": "{'read_end_point': [{'ip': '164.52.210.66', 'port': 3307}, {'ip': '10.17.10.7', 'port': 3307}], 'read_and_write_end_point': [{'ip': '164.52.210.66', 'port': 3306}, {'ip': '10.17.10.7', 'port': 3306}], 'status': 'updating', 'type': 1}", "vector_database_status": "Disabled", "project_name": "default-project-33931", "snapshot_exist": false } ], "message": "Success"}